Bug 151187 - hang during shutdown of rgmanager if relocate operations are taking place
hang during shutdown of rgmanager if relocate operations are taking place
Status: CLOSED RAWHIDE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-15 15:48 EST by Lon Hohberger
Modified: 2009-04-16 16:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-06 16:46:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lon Hohberger 2005-03-15 15:48:21 EST
Description of problem:

rgmanager will hang during shutdown if two nodes get into a
relocate-to-eachother deadlock.


Version-Release number of selected component (if applicable): CVS/Devel


How reproducible: 50% on 3-node cluster


Steps to Reproduce:
1. run rgmanager on 3 nodes
2. run "while [ 0 ]; do clusvcadm -r foo; done
3. kill rgmanager with SIGTERM on all nodes at near-the-same-time
  
Actual results:

Two nodes end up with threads trying to relocate the service to one-another.


Expected results:

Clean shutdown.  It does not matter what the return value from the relocate
request is.

Additional info:

This is probably a simple logic error somewhere in the code.
Comment 1 Lon Hohberger 2005-03-15 15:52:18 EST
One way to solve this (and all future problems like it) is to only allow stop &
disable requests during shutdown.
Comment 2 Lon Hohberger 2005-03-16 18:23:37 EST
I have (mostly) a fix for this.  Still testing though.
Comment 3 Lon Hohberger 2005-03-21 16:08:30 EST
Fixed in CVS
Comment 4 Lon Hohberger 2005-05-06 16:46:07 EDT
These have been fixed in CVS for some time; closing

Note You need to log in before you can comment on or make changes to this bug.